## dh-fortran-mod 0.32

=== Makefile ===
# Quick test code. Not part of a build

include ./fortran-support.mk

all:
	@echo FC_DEFAULT $(FC_DEFAULT) FC_OPTIONAL $(FC_OPTIONAL)
	@echo
	@echo "get_fmoddir,default-> "  $(call get_fmoddir,$(FC_DEFAULT))
	@echo "get_fmoddir,gfortran -> "  $(call get_fmoddir,gfortran)
	@echo "get_fmoddir,flang -> "  $(call get_fmoddir,flang)
	@echo "get_fmoddir,flangext-> "  $(call get_fmoddir,flangext)
	@echo "get_fmoddir,lfortran-> "  $(call get_fmoddir,lfortran)
	@echo
	@echo "get_fmoddirs,default-> "  $(call get_fmoddirs,$(FC_DEFAULT))
	@echo "get_fmoddirs,gfortran -> "  $(call get_fmoddirs,gfortran)
	@echo "get_fmoddirs,flang -> "  $(call get_fmoddirs,flang)
	@echo "get_fmoddirs,flangext-> "  $(call get_fmoddirs,flangext)
	@echo "get_fmoddirs,lfortran-> "  $(call get_fmoddirs,lfortran)
	@echo
	@echo "get_flibdir,default-> "  $(call get_flibdir,$(FC_DEFAULT))
	@echo "get_flibdir,gfortran -> "  $(call get_flibdir,gfortran)
	@echo "get_flibdir,flang -> "  $(call get_flibdir,flang)
	@echo "get_flibdir,flangext-> "  $(call get_flibdir,flangext)
	@echo "get_flibdir,lfortran-> "  $(call get_flibdir,lfortran)
	@echo
	@echo "get_flibdirs,default-> "  $(call get_flibdirs,$(FC_DEFAULT))
	@echo "get_flibdirs,gfortran -> "  $(call get_flibdirs,gfortran)
	@echo "get_flibdirs,flang -> "  $(call get_flibdirs,flang)
	@echo "get_flibdirs,flangext-> "  $(call get_flibdirs,flangext)
	@echo "get_flibdirs,lfortran-> "  $(call get_flibdirs,lfortran)
	@echo
	@echo "get_fc_exe,default-> "  $(call get_fc_exe,default)
	@echo "get_fc_exe,gfortran -> "  $(call get_fc_exe,gfortran)
	@echo "get_fc_exe,flang -> "  $(call get_fc_exe,flang)
	@echo "get_fc_exe,flangext-> "  $(call get_fc_exe,flangext)
	@echo "get_fc_exe,lfortran-> "  $(call get_fc_exe,lfortran)

## dh-fortran-mod 0.3

=== debian/changelog ===
dh-fortran-mod (0.3) unstable; urgency=medium

  * Change subst-vars to include real compiler pkg to work build buildds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 May 2018 07:39:28 +0100

dh-fortran-mod (0.2) unstable; urgency=medium

  * Copy code from dh_install to enable globbing of paths.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 May 2018 15:30:50 +0100

dh-fortran-mod (0.1) unstable; urgency=low

  * Initial release. (Closes: #868013).

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 May 2018 17:36:13 +0100

=== debian/control ===
Source: dh-fortran-mod
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org:/science-team/dh-fortran-mod.git
Vcs-Git: https://salsa.debian.org:/science-team/dh-fortran-mod.git

Package: dh-fortran-mod
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
   ${misc:Depends},
   debhelper (>= 10),
   libio-compress-perl,
   libfile-libmagic-perl
Enhances: debhelper
Description: debhelper add-on to handle Fortran '.mod' files
 Modules were introduced in the 1990 revision of the Fortran standard. When the
 Fortran compiler processes a source file containing a module, it produces both
 an object file and a '.mod' file. The latter plays a role similar to header
 files in C, since it is needed when compiling other source files which make
 use of the module.
 .
 The '.mod' files are however platform dependent, and their format changes with
 the gfortran version.
 .
 This package provides the dh_fortran_mod command, which simplifies the
 inclusion of '.mod' files in binary packages. First, it places the '.mod'
 files in the correct platform- and gfortran-dependent location. Second, it
 adds the right dependency information on gfortran version(s).
 .
 Inclusion of dh_fortran_mod in dh sequence is also provided under the name
 'fortran_mod'.

=== debian/rules ===
#!/usr/bin/make -f
version := $(shell dpkg-parsechangelog | sed -nr 's/^Version: (.*)/\1/p')
pod2man := pod2man -r "dh-fortran-mod v$(version)" -c dh-fortran-mod

%:
	dh $@

override_dh_auto_build:
	$(pod2man) --section=1 dh_fortran_mod dh_fortran_mod.1

override_dh_clean:
	dh_clean dh_fortran_mod.1

## dh-fortran-mod 0.5

=== debian/changelog ===
dh-fortran-mod (0.5) unstable; urgency=medium

  * Set ${Fortran-Mod} variable instead of ${misc:Built-Using} as
    Built-Using has strict semantics; don't use it

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Dec 2018 07:45:06 +0000

dh-fortran-mod (0.4) unstable; urgency=medium

  * Standards-Version: 4.2.1; no changes required
  * Put files in fmoddir, /usr/lib/$multiarch/fortran/$compiler directory
    by default.
  * Set misc:Built-Using: variable with the compiler version rather
     than misc:Depends. 
  * Add support for flang compiler. 
  * Add preinst / postrm script fragments for creating / deleting 
    /usr/lib/$multiarch/fortran/$compiler/ directories for mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2018 16:29:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org:/science-team/dh-fortran-mod.git
 Vcs-Git: https://salsa.debian.org:/science-team/dh-fortran-mod.git

## dh-fortran-mod 0.8

=== debian/changelog ===
dh-fortran-mod (0.8) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Alastair McKinstry ]
  * Only add postrm/preinst scripts for packages with mod files.
    Closes: #917205
  * Don't fail on postrm if directory already removed

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Dec 2018 12:59:35 +0000

dh-fortran-mod (0.7) unstable; urgency=medium

  * Ensure test in postrm script does not return 1 and fail -e. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 14:10:43 +0000

dh-fortran-mod (0.6) unstable; urgency=medium

  * Add spaces into preinst / postrm fragments. Closes: #916565

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Dec 2018 15:40:05 +0000

## dh-fortran-mod 0.11

=== debian/changelog ===
dh-fortran-mod (0.11) unstable; urgency=medium

  * Calculate canonical compiler at build-time, as the compiler may not
    be installed at install-time, and readlink will fail.
  * Re-order deletes in postrm script to ensure all deletes are done.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 12:19:46 +0000

dh-fortran-mod (0.10) unstable; urgency=medium

  * Ensure mod files are installed chmod 644
  * Add link for canonical compiler name
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jan 2019 16:05:19 +0000

dh-fortran-mod (0.9) unstable; urgency=medium

  * Make creating cmplr link conditional.
  * handle target directories that may be subdirectory of $fmoddir

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 13:23:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org:/science-team/dh-fortran-mod.git
 Vcs-Git: https://salsa.debian.org:/science-team/dh-fortran-mod.git

## dh-fortran-mod 0.12

=== debian/changelog ===
dh-fortran-mod (0.12) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use dpkg makefile snippet instead of manual changelog parsing.
  * Switch to debhelper-compat (= 12).
  * Introduce a $VERSION variable in dh_fortran_mod s.t. the generated code
    inserted into maintainer scripts is properly annotated with the
    dh-fortran-mod version that created it.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 08:58:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends:
+ debhelper-compat (= 12),
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org:/science-team/dh-fortran-mod.git
-Vcs-Git: https://salsa.debian.org:/science-team/dh-fortran-mod.git
+Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
+Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git
 
 Package: dh-fortran-mod
 Architecture: all

## dh-fortran-mod 0.12+nmu1

=== debian/changelog ===
dh-fortran-mod (0.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:39 +0800

## dh-fortran-mod 0.13

=== debian/changelog ===
dh-fortran-mod (0.13) unstable; urgency=medium

  * Bugfix: when installing on cmdline, don't install into non-specified
    packages
  * Now at Standards-Version: 4.4.0
  * flang-7 20190329+ use modversion 34.  Move from 33 to 34

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Jul 2019 11:50:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git

## dh-fortran-mod 0.15

=== debian/changelog ===
dh-fortran-mod (0.15) unstable; urgency=medium

  * Standards-Version now 4.5.0
  * Provide: dh-sequence-fortran_mod. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Feb 2020 11:56:01 +0000

dh-fortran-mod (0.14) unstable; urgency=medium

  * Now Use gfortran-9.
  * Drop use fof ${Fortran-Mod} and Fortran-Mod: stanza. Simply use
    ${misc:Depends}. Closes: #941476
  * Standards-Version now 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Oct 2019 05:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git
 
@@ -19,6 +19,7 @@
    libio-compress-perl,
    libfile-libmagic-perl
 Enhances: debhelper
+Provides: dh-sequence-fortran-mod
 Description: debhelper add-on to handle Fortran '.mod' files
  Modules were introduced in the 1990 revision of the Fortran standard. When the
  Fortran compiler processes a source file containing a module, it produces both

## dh-fortran-mod 0.17

=== debian/changelog ===
dh-fortran-mod (0.17) unstable; urgency=medium

  * Fix for reproducibility. Thanks to Chris Lamb. Closes: #965255
  * debhelper compat 13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jul 2020 08:59:11 +0100

dh-fortran-mod (0.16) unstable; urgency=medium

  * Fix inserted depends to form of 'real-compiler-version | compiler-mod-XXX'
    to silence dependency warnings on virtual packages

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Apr 2020 15:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git

## dh-fortran-mod 0.20

=== debian/changelog ===
dh-fortran-mod (0.20) unstable; urgency=medium

  * Fix autopkgtest script; add field to d/control in tests to
    silence warnings

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 20:44:52 +0000

dh-fortran-mod (0.19) unstable; urgency=medium

  * Point d/gbp.conf to debian/latest branch
  * Add package tests
  * Syntax fix in dh_fortran_mod.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jan 2021 10:52:41 +0000

dh-fortran-mod (0.18) unstable; urgency=medium

  * Bump gfortran default to gfortran-10
  * gfortran-11 expected to have module version 15
  * Set vcs-git to point to debian/latest branch
  * Standards-Version: 4.5.1
  * Updated patch. Closes: #965255

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jan 2021 10:58:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
-Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git
+Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest
 
 Package: dh-fortran-mod
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_fortran_mod: dh_fortran_mod.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_mod.1: dh_fortran_mod
	pod2man -r "$(DEB_SOURCE) v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@

override_dh_auto_build: dh_fortran_mod
override_dh_auto_build: dh_fortran_mod.1
override_dh_auto_build: ;

override_dh_auto_clean:
	$(RM) dh_fortran_mod
	$(RM) dh_fortran_mod.1

=== debian/tests/control ===
Tests:  pkg-gfortran
Depends: dh-fortran-mod, gfortran


# TODO: Tests for preinst, postinst files

## dh-fortran-mod 0.21

=== debian/changelog ===
dh-fortran-mod (0.21) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Drop old code now bullseye is released
  * Update default gfortran to gfortran-11

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Oct 2021 16:30:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

## dh-fortran-mod 0.23

=== debian/changelog ===
dh-fortran-mod (0.23) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Forrce Build-depend on gfortran-12 for gcc-12 transition.
    Then rebuild deps with this version.	

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2022 10:07:17 +0100

dh-fortran-mod (0.22) unstable; urgency=medium

  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Apr 2022 18:40:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest
 
@@ -15,6 +15,7 @@
 Multi-Arch: foreign
 Depends: ${perl:Depends},
    ${misc:Depends},
+   gfortran-12,
    debhelper (>= 10),
    libio-compress-perl,
    libfile-libmagic-perl

## dh-fortran-mod 0.27

=== debian/changelog ===
dh-fortran-mod (0.27) unstable; urgency=medium

  * Silently ignore failure to delete non-existent directories in postrm
    Closes: #1019050

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 14:27:19 +0100

dh-fortran-mod (0.26) unstable; urgency=medium

  * Ignore errors on rm cruft files in preinst

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 20:58:31 +0100

dh-fortran-mod (0.25) unstable; urgency=medium

  * Don't create links 'gfortran-*' without arch base when compiler
    not installed. Clean up cruft from doing so before
  * Close old fixed bug. Closes: #1013316

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 17:43:35 +0100

dh-fortran-mod (0.24) unstable; urgency=medium

  * Drop gcc-transition workk for now as it blocks the tbb transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jun 2022 16:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Multi-Arch: foreign
 Depends: ${perl:Depends},
    ${misc:Depends},
-   gfortran-12,
    debhelper (>= 10),
    libio-compress-perl,
    libfile-libmagic-perl

## dh-fortran-mod 0.28

=== debian/changelog ===
dh-fortran-mod (0.28) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Add support for gfortran-12

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Jun 2023 14:33:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

## dh-fortran-mod 0.32

=== debian/changelog ===
dh-fortran-mod (0.32) unstable; urgency=medium

  * Remove troublesome quotes around function returns
  * Add lfortran support
  * Define FC_OPTIONAL in fortran-support.mk
  * Return sane defaults for external FC in fortran-support.mk
  * Add TODO.md, test Makefile
  * Change misc:Depends to fortran:Depends in dh-fortran-mod

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 12:36:47 +0000

dh-fortran-mod (0.31) unstable; urgency=medium

  * Provide dh-sequence-fortran as we do more than mod files now
  * Depend on gfortran | fortran-compiler to simplify build-deps
  * Add detection code  for flang-external-fc-, flang-new-*
  * Update documentation in dh_fortran_mod
  * fortran-support.mk: (experimental)
     - add get_fmoddir, get_flibdir, get_fc_exe functions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Dec 2023 13:03:26 +0000

dh-fortran-mod (0.30) unstable; urgency=medium

  * Update more references to /usr/include

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Dec 2023 08:46:46 +0000

dh-fortran-mod (0.29) unstable; urgency=medium

  * Add fortran-support.mk helper script for d/rules. Experimental
  * Set fmoddir to /usr/include, not /usr/lib

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Dec 2023 16:57:34 +0000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,12 @@
 Multi-Arch: foreign
 Depends: ${perl:Depends},
    ${misc:Depends},
-   debhelper (>= 10),
+   debhelper (>= 13),
+   gfortran | fortran-compiler,
    libio-compress-perl,
    libfile-libmagic-perl
 Enhances: debhelper
-Provides: dh-sequence-fortran-mod
+Provides: dh-sequence-fortran-mod, dh-sequence-fortran
 Description: debhelper add-on to handle Fortran '.mod' files
  Modules were introduced in the 1990 revision of the Fortran standard. When the
  Fortran compiler processes a source file containing a module, it produces both

## dh-fortran-mod 0.39

=== debian/changelog ===
dh-fortran-mod (0.39) unstable; urgency=medium

  * Commit didn't get included.. Redo Closes: #1062809

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2024 07:31:22 +0000

dh-fortran-mod (0.38) unstable; urgency=medium

  * Fix typo that breaks builds. Closes: #1062809
  * Add flang19, gfortran14 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Feb 2024 22:08:38 +0000

dh-fortran-mod (0.37) unstable; urgency=medium

  * Initial dh_fortran_lib, simple cases only
  * Fix for dh_fortran_mod; don't produce deps on flang-7,
  * Override dh_dwz in fortran-support.mk as its broken by patchelf,
    used in dh_fortran_lib
  * dh_fortran_mod: now support gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jan 2024 06:48:51 +0000

dh-fortran-mod (0.36) unstable; urgency=medium

  * Bugfix: mod files can be misidentified as c++
  * debhelper-interaction test: fix cwd

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 18:21:25 +0000

dh-fortran-mod (0.35) unstable; urgency=medium

  * Drop pkg-gfortran test as defunct for now
  * Bugfix foreach_fc_execute_after; remove foreach_fc

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Jan 2024 20:16:28 +0000

dh-fortran-mod (0.34) unstable; urgency=medium

  * Start dh_fortran_libs
  * Add foreach_fc_execute_{before,after} macros
  * Add experimental flang18

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 07:23:56 +0000

dh-fortran-mod (0.33) unstable; urgency=medium

  * Fixes for fortran-support.mk: whitespace issue and typo
  * foreach_fc(): for automated compiler build support

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2024 15:16:47 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
    ${misc:Depends},
    debhelper (>= 13),
    gfortran | fortran-compiler,
+   patchelf,
    libio-compress-perl,
    libfile-libmagic-perl
 Enhances: debhelper

## dh-fortran-mod 0.40

=== debian/changelog ===
dh-fortran-mod (0.40) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Move to gfortran-14 as the default compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Aug 2024 13:47:03 +0100

## dh-fortran-mod 0.41

=== debian/changelog ===
dh-fortran-mod (0.41) unstable; urgency=medium

  * More support changes needed for gfortran-14

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Aug 2024 09:34:54 +0100

## dh-fortran-mod 0.42

=== debian/changelog ===
dh-fortran-mod (0.42) unstable; urgency=medium

  * Add support for gfortran-15
  * Add support for flang20

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Feb 2025 12:29:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

## dh-fortran-mod 0.43

=== debian/changelog ===
dh-fortran-mod (0.43) unstable; urgency=medium

  * Standards-Version: 4.7.1
  * fortran-support.mk: missing brace. Closes: #1098525

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2025 12:05:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

## dh-fortran-mod 0.44

=== tests/Makefile ===
# Quick test code. Not part of a build

include ../fortran-support.mk

all:
	@echo FC_DEFAULT $(FC_DEFAULT) FC_OPTIONAL $(FC_OPTIONAL) FC  $(FC) F77 $(F77)
	@echo
	@echo "get_fmoddir,FC_DEFAULT-> "  $(call get_fmoddir,$(FC_DEFAULT))
	@echo "get_fmoddir,FC-> "  $(call get_fmoddir,$(FC))
	@echo
	@echo "get_fmoddirs,FC_DEFAULT-> "  $(call get_fmoddirs,$(FC_DEFAULT))
	@echo "get_fmoddirs,FC-> "  $(call get_fmoddirs,$(FC))
	@echo
	@echo "get_flibdir,FC_DEFAULT-> "  $(call get_flibdir,$(FC_DEFAULT))
	@echo "get_flibdir,FC -> "  $(call get_flibdir,$(FC))
	@echo
	@echo "get_flibdirs,FC_DEFAULT-> "  $(call get_flibdirs,$(FC_DEFAULT))
	@echo "get_flibdirs,FC-> "  $(call get_flibdirs,$(FC))
	@echo
	@echo "get_fc_exe,gfortran -> "  $(call get_fc_exe,$(FC_DEFAULT))
	@echo "get_fc_exe,FC-> "  $(call get_fc_exe,$(FC))

flags:
	@echo FCFLAGS for $(FC): $(call get_fcflags,$(FC))

=== debian/changelog ===
dh-fortran-mod (0.44) experimental; urgency=medium

  * Fix fortran-support.mk typo.
  * Behaviour of fortran-support.mk now works better with FC=f77;
  * get_fcflags() now defined
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jun 2025 15:01:46 +0100

## dh-fortran-mod 0.45

=== tests/Makefile ===
# Quick test code. Not part of a build

include ../fortran-support.mk

all:
	@echo FC_DEFAULT $(FC_DEFAULT) FC_OPTIONAL $(FC_OPTIONAL) FC  $(FC)
	@echo
	@echo "get_fmoddir,FC_DEFAULT-> "  $(call get_fmoddir,$(FC_DEFAULT))
	@echo "get_fmoddir,default-> "  $(call get_fmoddir,default)
	@echo "get_fmoddir,FC-> "  $(call get_fmoddir,$(FC))
	@echo
	@echo "get_fmoddirs,FC_DEFAULT-> "  $(call get_fmoddirs,$(FC_DEFAULT))
	@echo "get_fmoddirs,default-> "  $(call get_fmoddirs,default)
	@echo "get_fmoddirs,FC-> "  $(call get_fmoddirs,$(FC))
	@echo
	@echo "get_flibdir,FC_DEFAULT-> "  $(call get_flibdir,$(FC_DEFAULT))
	@echo "get_flibdir,default-> "  $(call get_flibdir,default)
	@echo "get_flibdir,FC -> "  $(call get_flibdir,$(FC))
	@echo
	@echo "get_flibdirs,FC_DEFAULT-> "  $(call get_flibdirs,$(FC_DEFAULT))
	@echo "get_flibdirs,default-> "  $(call get_flibdirs,default)
	@echo "get_flibdirs,FC-> "  $(call get_flibdirs,$(FC))
	@echo
	@echo "get_fc_exe,gfortran -> "  $(call get_fc_exe,$(FC_DEFAULT))
	@echo "get_fc_exe,default-> "  $(call get_fc_exe,default)
	@echo "get_fc_exe,FC-> "  $(call get_fc_exe,$(FC))

=== debian/changelog ===
dh-fortran-mod (0.45) unstable; urgency=medium

  * Add support for flang-new-21 
  * flang uses flang-mod-1 as its version
  * Standards-Version: 4.7.2
  * Update for gfortran-mod-16. Closes: #1114774

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Sep 2025 09:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
 Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_fortran_mod:dh_fortran_mod.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_lib: dh_fortran_lib.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_mod.1: dh_fortran_mod
	pod2man -r "dh_fortran_mod v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@

dh_fortran_lib.1: dh_fortran_lib
	pod2man -r "dh_fortran_lib v$(DEB_VERSION)" -c "dh-fortran-lib" --section=1 $< $@

override_dh_auto_build: dh_fortran_mod dh_fortran_lib
override_dh_auto_build: dh_fortran_mod.1 dh_fortran_lib.1
override_dh_auto_build: ;

override_dh_auto_clean:
	$(RM) dh_fortran_mod dh_fortran_mod.1
	$(RM) dh_fortran_libs  dh_fortran_lib.1

=== debian/tests/pkg/debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

=== tests/flang-17/debian/control ===
Source: foo
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13),

## dh-fortran-mod 0.46

=== debian/changelog ===
dh-fortran-mod (0.46) unstable; urgency=medium

  * Complete Python reimplementation.
  * Temporarily revert to 'dh-fortran-mod' until rename passes NEW
  * Add dh_fortran_pkgconf
  * Fixes to directories and installation file tracking for dh_fortan_mod,
    dh_fortran_lib
  * Rework package structure to get tests working
  * Build-dep on pybuild-plugin-pyproject, python3-setuptools

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 07:15:27 +0100

dh-fortran (0.45) experimental; urgency=medium

  * Change name to 'dh-fortran'
  * Support get_fc_vendor() to fortran-support.mk
  * Add more default code to fortran-support.mk for dh_*_fortran_templates
  * Add --preferred behavour to dh_fortran_lib
  * Add initial dh_fortran python wrapper script
  * Start python implementation

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jul 2025 09:44:16 +0100

=== debian/control ===
Source: dh-fortran-mod
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-magic,
 python3-pytest <!nocheck>,
 gfortran-for-host | fortran-compiler, 
 click-man
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran
Vcs-Git: https://salsa.debian.org/science-team/dh-fortran.git -b debian/latest

Package: dh-fortran-mod
Architecture: any 
Depends: ${perl:Depends},
   debhelper (>= 13),
   ${misc:Depends},
   python3, ${python3:Depends},
   fortran-fpm,
   gfortran-for-host | fortran-compiler,
   patchelf,
   libio-compress-perl,
   libfile-libmagic-perl
Enhances: debhelper
Provides: dh-sequence-fortran-mod, dh-sequence-fortran, dh-fortran-mod
Description: debhelper add-ons for packaging software written in Fortran
 dh-fortran provides a debhelper sequence addon named 'fortran', a buildsystem
 module named 'fortran' and set of helper commamnds dh_fortran*
 .
 The fortran buildsystem simplifies building packages that use the
 Fortran Package Manager (fortran-fpm).
 .
 The build helper scripts enable Fortran libraries to be built in parallel
 for multiple Fortran compilers.

## dh-fortran-mod 0.47

=== debian/changelog ===
dh-fortran-mod (0.47) unstable; urgency=medium

  * Fix for -p support in dh_fortran scripts
  * Fix symlinks in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Oct 2025 11:58:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=dhfortran
export DEB_BUILD_OPTIONS:= nocheck

%:
	dh $@  --buildsystem=pybuild

dh_fortran_mod_old:dh_fortran_mod.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

dh_fortran_lib_old: dh_fortran_lib.in
	sed 's/@VERSION@/$(DEB_VERSION)/' $< > $@
	chmod 0755 $@

#dh_fortran_mod.1: dh_fortran_mod
#	pod2man -r "dh_fortran_mod v$(DEB_VERSION)" -c "dh-fortran-mod" --section=1 $< $@

#dh_fortran_lib.1: dh_fortran_lib
#	pod2man -r "dh_fortran_lib v$(DEB_VERSION)" -c "dh-fortran-lib" --section=1 $< $@

override_dh_auto_build: dh_fortran_mod_old dh_fortran_lib_old
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C modfiles all
	cp -a modfiles build/lib/dhfortran/tests

override_dh_installman:
	PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
	PYTHONPATH=$(CURDIR) click-man dh_fortran_cmake --target debian/dh-fortran/usr/share/man/man1
	PYTHONPATH=$(CURDIR) click-man dh_fortran_pkgconf --target debian/dh-fortran/usr/share/man/man1
	PYTHONPATH=$(CURDIR) click-man dh_fortran_mod --target debian/dh-fortran/usr/share/man/man1
	PYTHONPATH=$(CURDIR) click-man dh_fortran_lib --target debian/dh-fortran/usr/share/man/man1
	dh_installman -O--buildsystem=pybuild

# Undo pybuild choices. TODO: Fix this in pyproject.toml ?
execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/share/dh-fortran
	cp debian/dh-fortran-mod/usr/bin/* debian/tmp/usr/share/dh-fortran
	cp -a debian/dh-fortran-mod/usr/lib/python3*/dist-packages/dhfortran debian/tmp/usr/share/dh-fortran

override_dh_auto_clean:
	$(MAKE) -C modfiles clean
	$(RM) dh_fortran_mod_old
	$(RM) dh_fortran_lib_old
	-rm -rf build dh_fortran.egg-info dhfortran/__pycache__ debian/python3-dhfortran

## dh-fortran-mod 0.48

=== debian/changelog ===
dh-fortran-mod (0.48) unstable; urgency=medium

  * Ensure python3-magic is present
  * Don't create symlink if src==dest in dh_fortran_lib
	
 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:08:02 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
    debhelper (>= 13),
    ${misc:Depends},
    python3, ${python3:Depends},
+   python3-magic,
    fortran-fpm,
    gfortran-for-host | fortran-compiler,
    patchelf,

## dh-fortran-mod 0.49

=== debian/changelog ===
dh-fortran-mod (0.49) unstable; urgency=medium

   * Depend on gfortran; gfortran-for-host not sufficient and breaks
     meson builds

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:17:16 +0100

## dh-fortran-mod 0.50

=== debian/changelog ===
dh-fortran-mod (0.50) unstable; urgency=medium

  * Handle -O--no-parallel sensibly

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Oct 2025 12:07:53 +0100

## dh-fortran-mod 0.51

=== debian/changelog ===
dh-fortran-mod (0.51) unstable; urgency=medium

  * Allow *.fortran-* files be executable scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 08:55:43 +0100

## dh-fortran-mod 0.52

=== debian/changelog ===
dh-fortran-mod (0.52) unstable; urgency=medium

  * Also change the dh-fortran dep in tests

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Oct 2025 09:55:08 +0100

## dh-fortran-mod 0.53

=== debian/changelog ===
dh-fortran-mod (0.53) unstable; urgency=medium

  * Don't break on dh params buildsystem, etc
  * More robustness checks on bad input

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2025 12:30:45 +0100

## dh-fortran-mod 0.54

=== debian/changelog ===
dh-fortran-mod (0.54) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE in compiler name, not multiarch;
    they differ on i386. Closes: #1118734

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Oct 2025 10:39:21 +0100

=== dhfortran/debian/changelog ===
testsource-dummy (0.46) experimental; urgency=medium

  * Stuff

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 15:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-magic,
  python3-pytest <!nocheck>,
- gfortran-for-host | fortran-compiler, 
+ gfortran | fortran-compiler, 
  click-man
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran
@@ -26,7 +26,7 @@
    python3, ${python3:Depends},
    python3-magic,
    fortran-fpm,
-   gfortran-for-host | fortran-compiler,
+   gfortran | fortran-compiler,
    patchelf,
    libio-compress-perl,
    libfile-libmagic-perl

## dh-fortran-mod 0.55

=== modfiles/Makefile ===
all: gfortran-14 gfortran-15 flang-new-18 flang-ext-18 flang-new-19 flang-new-20 flang-new-21 lfortran
		
clean:
	rm -rf gfortran-* flang-new-*

gfortran-14:
	@mkdir -p gfortran-14
	-(cd gfortran-14 ; gfortran-14 -c ../points.f90 )

gfortran-15:
	@mkdir -p gfortran-15
	-(cd gfortran-15 ; gfortran-15 -c ../points.f90 )

flang-new-18:
	@mkdir -p flang-new-18
	-(cd flang-new-18 ; flang-new-18 -c ../points.f90 )

flang-ext-18:
	@mkdir -p flang-ext-18
	-(cd flang-ext-18 ; flang-to-external-fc -c ../points.f90 )

flang-new-19:
	@mkdir -p flang-new-19
	-(cd flang-new-19 ; flang-new-19 -c ../points.f90 )

flang-new-20:
	@mkdir -p flang-new-20
	-(cd flang-new-20 ; flang-new-20 -c ../points.f90 )

flang-new-21:
	@mkdir -p flang-new-21
	-(cd flang-new-20 ; flang-new-21 -c ../points.f90 )

lfortran:
	@mkdir -p lfortran
	-(cd lfortran; lfortran -c ../points.f90 )

=== debian/changelog ===
dh-fortran-mod (0.55) unstable; urgency=medium

  * Add get_fmoddir, get_flibdir helpers

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Oct 2025 12:49:50 +0000

=== debian/tests/debhelper_interaction/debian/changelog ===
dh-fortran-dummy (0.32) UNRELEASED; urgency=medium

  * Remove troublesome quotes around function returns
  * Add lfortran support
  * Define FC_OPTIONAL in fortran-support.mk
  * Return sane defaults for external FC in fortran-support.mk
  * Add TODO.md, test Makefile
  * Change misc:Depends to fortran:Depends in dh-fortran-mod

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 12:36:47 +0000

=== dhfortran/debian/control ===
Source: testsource-dummy
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-fortran
Standards-Version: 4.7.2

Package: fortran-pkg
Architecture: any
Description: Dummy pkg for testing dh-fortran
Depends: ${misc:Depends}, ${shlib:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,10 @@
 
 override_dh_installman:
 	PYTHONPATH=$(CURDIR) click-man dh_fortran  --target debian/dh-fortran/usr/share/man/man1
-	PYTHONPATH=$(CURDIR) click-man dh_fortran_cmake --target debian/dh-fortran/usr/share/man/man1
-	PYTHONPATH=$(CURDIR) click-man dh_fortran_pkgconf --target debian/dh-fortran/usr/share/man/man1
-	PYTHONPATH=$(CURDIR) click-man dh_fortran_mod --target debian/dh-fortran/usr/share/man/man1
-	PYTHONPATH=$(CURDIR) click-man dh_fortran_lib --target debian/dh-fortran/usr/share/man/man1
+	#PYTHONPATH=$(CURDIR) click-man dh_fortran_cmake --target debian/dh-fortran/usr/share/man/man1
+	#PYTHONPATH=$(CURDIR) click-man dh_fortran_pkgconf --target debian/dh-fortran/usr/share/man/man1
+	#PYTHONPATH=$(CURDIR) click-man dh_fortran_mod --target debian/dh-fortran/usr/share/man/man1
+	#PYTHONPATH=$(CURDIR) click-man dh_fortran_lib --target debian/dh-fortran/usr/share/man/man1
 	dh_installman -O--buildsystem=pybuild
 
 # Undo pybuild choices. TODO: Fix this in pyproject.toml ?

=== debian/tests/debhelper_interaction/debian/rules ===
#!/usr/bin/make -f

# Test debhelper interaction

include /usr/share/debhelper/dh-fortran/fortran-support.mk


%:
	@echo DEBUGF MAGIC $@
	dh $@ 

define dh_configure_fortran_TEMPLATE = 
 dh_configure_fortran_$(1): 
	@echo CALLING dh_configure_fortran_$(1)
	@echo CONFIGURE $(call get_fc_exe, $(1))
	@echo LEAVING dh_configure_fortran_$(1)
endef
$(eval $(call foreach_fc,configure))

define dh_build_fortran_TEMPLATE = 
 dh_build_fortran_$(1): 
	@echo CALLING dh_build_fortran_$(1)
	@echo "Test code that fails on exe  ( $(1) ) != gfortran "
	$(if $(filter $(1),gfortran), true , FAIL )
	@echo LEAVING dh_build_fortran_$(1)
endef
$(eval $(call foreach_fc,build))

override_dh_auto_configure:
	@echo CONFIGURE SUCCESSFUL

override_dh_auto_build:
	@echo BUILDSUCCESSFUL

=== debian/tests/debhelper_interaction/debian/control ===
Source: dh-fortran-dummy
Section: devel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Alastair McKinstry <mckinstry@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/dh-fortran-mod
Vcs-Git: https://salsa.debian.org/science-team/dh-fortran-mod.git -b debian/latest

Package: dh-fortran-mod
Architecture: all
Depends: ${perl:Depends},
   ${misc:Depends},
   debhelper (>= 13),
   gfortran | fortran-compiler,
   libio-compress-perl,
   libfile-libmagic-perl
Provides: dh-sequence-fortran-mod, dh-sequence-fortran
Description: debhelper add-on to handle Fortran '.mod' files
